"""
This module contains `Color` class which implements all colors supported by ANSI terminals.
"""

from itertools import count



_c = count()



# Source:
#    https://ss64.com/bash/syntax-colors.html
#    https://www.ditig.com/256-colors-cheat-sheet
class _Colors:
    BLACK = next(_c)
    MAROON = next(_c)
    GREEN = next(_c)
    OLIVE = next(_c)
    NAVY = next(_c)
    PURPLE = next(_c)
    TEAL = next(_c)
    SILVER = next(_c)
    GREY = next(_c)
    RED = next(_c)
    LIME = next(_c)
    YELLOW = next(_c)
    BLUE = next(_c)
    FUCHSIA = next(_c)
    AQUA = next(_c)
    WHITE = next(_c)
    GREY0 = next(_c)
    NAVYBLUE = next(_c)
    DARKBLUE = next(_c)
    BLUE3 = next(_c)
    BLUE3_2 = next(_c)
    BLUE1 = next(_c)
    DARKGREEN = next(_c)
    DEEPSKYBLUE4 = next(_c)
    DEEPSKYBLUE4_2 = next(_c)
    DEEPSKYBLUE4_3 = next(_c)
    DODGERBLUE3 = next(_c)
    DODGERBLUE2 = next(_c)
    GREEN4 = next(_c)
    SPRINGGREEN4 = next(_c)
    TURQUOISE4 = next(_c)
    DEEPSKYBLUE3 = next(_c)
    DEEPSKYBLUE3_2 = next(_c)
    DODGERBLUE1 = next(_c)
    GREEN3 = next(_c)
    SPRINGGREEN3 = next(_c)
    DARKCYAN = next(_c)
    LIGHTSEAGREEN = next(_c)
    DEEPSKYBLUE2 = next(_c)
    DEEPSKYBLUE1 = next(_c)
    GREEN3_2 = next(_c)
    SPRINGGREEN3_2 = next(_c)
    SPRINGGREEN2 = next(_c)
    CYAN3 = next(_c)
    DARKTURQUOISE = next(_c)
    TURQUOISE2 = next(_c)
    GREEN1 = next(_c)
    SPRINGGREEN2_2 = next(_c)
    SPRINGGREEN1 = next(_c)
    MEDIUMSPRINGGREEN = next(_c)
    CYAN2 = next(_c)
    CYAN1 = next(_c)
    DARKRED = next(_c)
    DEEPPINK4 = next(_c)
    PURPLE4 = next(_c)
    PURPLE4_2 = next(_c)
    PURPLE3 = next(_c)
    BLUEVIOLET = next(_c)
    ORANGE4 = next(_c)
    GREY37 = next(_c)
    MEDIUMPURPLE4 = next(_c)
    SLATEBLUE3 = next(_c)
    SLATEBLUE3_2 = next(_c)
    ROYALBLUE1 = next(_c)
    CHARTREUSE4 = next(_c)
    DARKSEAGREEN4 = next(_c)
    PALETURQUOISE4 = next(_c)
    STEELBLUE = next(_c)
    STEELBLUE3 = next(_c)
    CORNFLOWERBLUE = next(_c)
    CHARTREUSE3 = next(_c)
    DARKSEAGREEN4_2 = next(_c)
    CADETBLUE = next(_c)
    CADETBLUE_2 = next(_c)
    SKYBLUE3 = next(_c)
    STEELBLUE1 = next(_c)
    CHARTREUSE3_2 = next(_c)
    PALEGREEN3 = next(_c)
    SEAGREEN3 = next(_c)
    AQUAMARINE3 = next(_c)
    MEDIUMTURQUOISE = next(_c)
    STEELBLUE1_2 = next(_c)
    CHARTREUSE2 = next(_c)
    SEAGREEN2 = next(_c)
    SEAGREEN1 = next(_c)
    SEAGREEN1_2 = next(_c)
    AQUAMARINE1 = next(_c)
    DARKSLATEGRAY2 = next(_c)
    DARKRED_2 = next(_c)
    DEEPPINK4_2 = next(_c)
    DARKMAGENTA = next(_c)
    DARKMAGENTA_2 = next(_c)
    DARKVIOLET = next(_c)
    PURPLE_2 = next(_c)
    ORANGE4_2 = next(_c)
    LIGHTPINK4 = next(_c)
    PLUM4 = next(_c)
    MEDIUMPURPLE3 = next(_c)
    MEDIUMPURPLE3_2 = next(_c)
    SLATEBLUE1 = next(_c)
    YELLOW4 = next(_c)
    WHEAT4 = next(_c)
    GREY53 = next(_c)
    LIGHTSLATEGREY = next(_c)
    MEDIUMPURPLE = next(_c)
    LIGHTSLATEBLUE = next(_c)
    YELLOW4_2 = next(_c)
    DARKOLIVEGREEN3 = next(_c)
    DARKSEAGREEN = next(_c)
    LIGHTSKYBLUE3 = next(_c)
    LIGHTSKYBLUE3_2 = next(_c)
    SKYBLUE2 = next(_c)
    CHARTREUSE2_2 = next(_c)
    DARKOLIVEGREEN3_2 = next(_c)
    PALEGREEN3_2 = next(_c)
    DARKSEAGREEN3 = next(_c)
    DARKSLATEGRAY3 = next(_c)
    SKYBLUE1 = next(_c)
    CHARTREUSE1 = next(_c)
    LIGHTGREEN = next(_c)
    LIGHTGREEN_2 = next(_c)
    PALEGREEN1 = next(_c)
    AQUAMARINE1_2 = next(_c)
    DARKSLATEGRAY1 = next(_c)
    RED3 = next(_c)
    DEEPPINK4_3 = next(_c)
    MEDIUMVIOLETRED = next(_c)
    MAGENTA3 = next(_c)
    DARKVIOLET_2 = next(_c)
    PURPLE_3 = next(_c)
    DARKORANGE3 = next(_c)
    INDIANRED = next(_c)
    HOTPINK3 = next(_c)
    MEDIUMORCHID3 = next(_c)
    MEDIUMORCHID = next(_c)
    MEDIUMPURPLE2 = next(_c)
    DARKGOLDENROD = next(_c)
    LIGHTSALMON3 = next(_c)
    ROSYBROWN = next(_c)
    GREY63 = next(_c)
    MEDIUMPURPLE2_2 = next(_c)
    MEDIUMPURPLE1 = next(_c)
    GOLD3 = next(_c)
    DARKKHAKI = next(_c)
    NAVAJOWHITE3 = next(_c)
    GREY69 = next(_c)
    LIGHTSTEELBLUE3 = next(_c)
    LIGHTSTEELBLUE = next(_c)
    YELLOW3 = next(_c)
    DARKOLIVEGREEN3_3 = next(_c)
    DARKSEAGREEN3_2 = next(_c)
    DARKSEAGREEN2 = next(_c)
    LIGHTCYAN3 = next(_c)
    LIGHTSKYBLUE1 = next(_c)
    GREENYELLOW = next(_c)
    DARKOLIVEGREEN2 = next(_c)
    PALEGREEN1_2 = next(_c)
    DARKSEAGREEN2_2 = next(_c)
    DARKSEAGREEN1 = next(_c)
    PALETURQUOISE1 = next(_c)
    RED3_2 = next(_c)
    DEEPPINK3 = next(_c)
    DEEPPINK3_2 = next(_c)
    MAGENTA3_2 = next(_c)
    MAGENTA3_3 = next(_c)
    MAGENTA2 = next(_c)
    DARKORANGE3_2 = next(_c)
    INDIANRED_2 = next(_c)
    HOTPINK3_2 = next(_c)
    HOTPINK2 = next(_c)
    ORCHID = next(_c)
    MEDIUMORCHID1 = next(_c)
    ORANGE3 = next(_c)
    LIGHTSALMON3_2 = next(_c)
    LIGHTPINK3 = next(_c)
    PINK3 = next(_c)
    PLUM3 = next(_c)
    VIOLET = next(_c)
    GOLD3_2 = next(_c)
    LIGHTGOLDENROD3 = next(_c)
    TAN = next(_c)
    MISTYROSE3 = next(_c)
    THISTLE3 = next(_c)
    PLUM2 = next(_c)
    YELLOW3_2 = next(_c)
    KHAKI3 = next(_c)
    LIGHTGOLDENROD2 = next(_c)
    LIGHTYELLOW3 = next(_c)
    GREY84 = next(_c)
    LIGHTSTEELBLUE1 = next(_c)
    YELLOW2 = next(_c)
    DARKOLIVEGREEN1 = next(_c)
    DARKOLIVEGREEN1_2 = next(_c)
    DARKSEAGREEN1_2 = next(_c)
    HONEYDEW2 = next(_c)
    LIGHTCYAN1 = next(_c)
    RED1 = next(_c)
    DEEPPINK2 = next(_c)
    DEEPPINK1 = next(_c)
    DEEPPINK1_2 = next(_c)
    MAGENTA2_2 = next(_c)
    MAGENTA1 = next(_c)
    ORANGERED1 = next(_c)
    INDIANRED1 = next(_c)
    INDIANRED1_2 = next(_c)
    HOTPINK = next(_c)
    HOTPINK_2 = next(_c)
    MEDIUMORCHID1_2 = next(_c)
    DARKORANGE = next(_c)
    SALMON1 = next(_c)
    LIGHTCORAL = next(_c)
    PALEVIOLETRED1 = next(_c)
    ORCHID2 = next(_c)
    ORCHID1 = next(_c)
    ORANGE1 = next(_c)
    SANDYBROWN = next(_c)
    LIGHTSALMON1 = next(_c)
    LIGHTPINK1 = next(_c)
    PINK1 = next(_c)
    PLUM1 = next(_c)
    GOLD1 = next(_c)
    LIGHTGOLDENROD2_2 = next(_c)
    LIGHTGOLDENROD2_3 = next(_c)
    NAVAJOWHITE1 = next(_c)
    MISTYROSE1 = next(_c)
    THISTLE1 = next(_c)
    YELLOW1 = next(_c)
    LIGHTGOLDENROD1 = next(_c)
    KHAKI1 = next(_c)
    WHEAT1 = next(_c)
    CORNSILK1 = next(_c)
    GREY100 = next(_c)
    GREY3 = next(_c)
    GREY7 = next(_c)
    GREY11 = next(_c)
    GREY15 = next(_c)
    GREY19 = next(_c)
    GREY23 = next(_c)
    GREY27 = next(_c)
    GREY30 = next(_c)
    GREY35 = next(_c)
    GREY39 = next(_c)
    GREY42 = next(_c)
    GREY46 = next(_c)
    GREY50 = next(_c)
    GREY54 = next(_c)
    GREY58 = next(_c)
    GREY62 = next(_c)
    GREY66 = next(_c)
    GREY70 = next(_c)
    GREY74 = next(_c)
    GREY78 = next(_c)
    GREY82 = next(_c)
    GREY85 = next(_c)
    GREY89 = next(_c)
    GREY93 = next(_c)
